<?php
/**
 * classes/ibit_Action_EvaluationMakeVisible.class.php
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author  Jan-Hendrik Willms <tleilax@mindfuck.de>
 * @author  Ivn Marcos <ivan.marcos@gmx.net>
 * @author  Nico Mueller <nico.mueller@uni-oldenburg.de>
 * @package IBIT_Evaluation
 * @copyright Copyright 2006, 2007 IBIT
 * @version 1.7
 */

/**
 *
 * @author     Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @package    IBIT_Evaluation
 * @subpackage Action
 * @copyright  Copyright 2006, 2007 IBIT
 * @version    1.7
 */
class ibit_Action_EvaluationMakeVisible
{
	/**
	 * Referenz auf das aufrufende Objekt
	 * @var objekt $parent
	 */
	var $parent;

	/**
	 * Konstruktor der Klasse.
	 * @param object $parent Referenz auf das aufrufende Objekt
	 */
	function ibit_Action_EvaluationMakeVisible( $parent )
	{
		$this->parent = $parent;
	}

	/**
	 * Zeigt das Men zum Auswhlen des Semsters,
	 */
	function show()
	{
		$notvisible = DBManager::Get()->query("SELECT COUNT(*) AS count, a.semester_id AS id, b.name FROM ibit_evaluation AS a LEFT JOIN semester_data AS b ON a.semester_id=b.semester_id WHERE visible_date IS NULL GROUP BY id")->fetchAll(PDO::FETCH_ASSOC);
		$visible = DBManager::Get()->query("SELECT COUNT(*) AS count, a.semester_id AS id, b.name FROM ibit_evaluation AS a LEFT JOIN semester_data AS b ON a.semester_id=b.semester_id WHERE visible_date IS NOT NULL GROUP BY id")->fetchAll(PDO::FETCH_ASSOC);

		$template = $this->parent->parent->getTemplate('admin_evaluation_makevisible');
		$template->set_attribute('semester_data', ibit_Helper::getSemester());
		$template->set_attribute('link_unlock', $this->parent->base_link.'&command=unlock');
		$template->set_attribute('notvisible', $notvisible);
		$template->set_attribute('visible', $visible);
		echo $template->render();
	}

	/**
	 * Schaltet alle beendeten Evaluationen, die noch nicht freigeschaltet sind, zu dem ausgewhlten Semester frei
	 */
	function makeVisible()
	{
		DBManager::Get()->exec("UPDATE ibit_evaluation SET visible_date=NOW(), visible_author_id='{$_SESSION['auth']->auth['uid']}' WHERE semester_id='{$_POST['semester_id']}' AND visible_author_id IS NULL AND stop_date < NOW()");

		echo Messagebox::success('Es wurden alle beendeten Evaluationen in dem ausgewhlten Semester erfolgreich freigeschaltet.');

		$this->show();

	}
}
?>