<?php
/**
 * classes/ibit_Action_EvaluationSearch.class.php
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @author  Jan-Hendrik Willms <tleilax@mindfuck.de>
 * @author  Ivn Marcos <ivan.marcos@gmx.net>
 * @author  Nico Mueller <nico.mueller@uni-oldenburg.de>
 * @package IBIT_Evaluation
 * @copyright Copyright 2006, 2007 IBIT
 * @version 1.7
 */

/**
 *
 * @author  Michael Riehemann <michael.riehemann@uni-oldenburg.de>
 * @package    IBIT_Evaluation
 * @subpackage Action
 * @copyright  Copyright 2006, 2007 IBIT
 * @version    1.7
 */
class ibit_Action_EvaluationSearch
{
	/**
	 * Referenz auf das aufrufende Objekt
	 * @var objekt $parent
	 */
	var $parent;

	/**
	 *
	 */
	var $section_link;

	/**
	 * Konstruktor der Klasse.
	 * @param object $parent Referenz auf das aufrufende Objekt
	 */
	function ibit_Action_EvaluationSearch( $parent, $section_link )
	{
		$this->parent = $parent;
		$this->section_link = $section_link;
	}

	/**
	 * Zeigt das Men zur Suche an.
	 * @uses ibit_Helper::getSemester()
	 * @uses ibit_EvaluationSeminar::searchSeminarByNameAndSemester();
	 */
	function show()
	{
		$template = $this->parent->getTemplate('student_evaluation_seminar_search.php');
		$template->set_attribute('link_summary', $this->section_link.'&function=summary');
		$template->set_attribute('link_search', $this->section_link);
		if (!empty($_POST))
		{
			if ((strlen($_POST['veranstaltung'])<3) and (strlen($_POST['dozent'])<3))
			{
				 echo Messagebox::error('Der Suchbegriff muss mindestens 3 Zeichen lang sein');
			}
			else
			{
				$seminars = array();
				$seminar_data = ibit_EvaluationSeminar::searchSeminarByNameAndDozent($_POST['veranstaltung'], $_POST['dozent']);

				foreach ($seminar_data as $seminar)
				{
					$seminar['evaluation'] = ibit_Evaluation::getEvaluationBySeminar($seminar['Seminar_id']);

					if(empty($seminar['evaluation']['status']))
					{
						$seminars[] = $seminar;
					}
				}

				$template->set_attribute('seminars', $seminars);
				$template->set_attribute('semester_id', $_POST['semester_id']);
			}
		}
		echo $template->render();
	}
}
?>