<?php
class ibit_EvaluationConfig
{
	private static $config = null;

	private function LoadConfig($force = false)
	{
		if ($force or self::$config===null)
		{
			self::$config = array();

			$rows = DBManager::Get()->query("SELECT scope, `key`, value FROM ibit_evaluation_config")->fetchAll(PDO::FETCH_ASSOC);
			foreach ($rows as $row)
			{
				if (!isset(self::$config[ $row['scope'] ]))
				{
					self::$config[ $row['scope'] ] = array();
				}
				self::$config[ $row['scope'] ][ $row['key'] ] = $row['value'];
			}
		}

		return self::$config;
	}

	public static function GetConfig($scope, $key, $force=false)
	{
		$config = self::LoadConfig($force);
		if (isset($config[$scope]) and isset($config[$scope][$key]))
		{
			return $config[$scope][$key];
		}
		return 0;
	}

	public static function GetConfigAsArray()
	{
		return self::LoadConfig();
	}

	public static function SetConfig($scope, $key, $value)
	{
		DBManager::Get()->exec("INSERT INTO ibit_evaluation_config (scope, `key`, value) VALUES ('{$scope}', '{$key}', '{$value}') ON DUPLICATE KEY UPDATE value=VALUES(value)");
		self::LoadConfig(true);
	}

	public function StoreConfiguration($config)
	{
		foreach ($config as $scope=>$keys)
		{
			foreach ($keys as $key=>$value)
			{
				ibit_EvaluationConfig::SetConfig($scope, $key, $value);
			}
		}
		// Force a reload of the configuration settings
		self::LoadConfig(true);
	}
}